Bug 1990781 - Large binary pkg/tool/gen-skus-map in Azure Disk repo
Summary: Large binary pkg/tool/gen-skus-map in Azure Disk repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-06 08:29 UTC by Jan Safranek
Modified: 2021-10-18 17:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift azure-disk-csi-driver pull 12 0 None None None 2021-08-06 08:35:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:20 UTC

Description Jan Safranek 2021-08-06 08:29:51 UTC
There is 50MB binary pkg/tool/gen-skus-map in the AzureDisk CSI driver repo. It breaks our company dist-git tooling, that does not allow 50 MB commits.

As consequence, we get spammed with:

> SUCCESS: Changed Dockerfile reconciled for openshift/ose-azure-disk-csi-driver in OCP v4.9

Under the hood, dist-git fails with:

> Can not push commit 6863e3f01403109ce6c71f90e3889c4e73f33ed5 to refs/heads/rhaos-4.9-rhel-8: file pkg/tool/gen-skus-map is too big

ART tooling does not expose the dist-git sync error to us.

Anyway, upstream has accepted removal of the file in https://github.com/kubernetes-sigs/azuredisk-csi-driver/pull/961. We should backport it to 4.9

Comment 2 Wei Duan 2021-08-16 10:11:17 UTC
Do some CSI test cases passed on 4.9.0-0.nightly-2021-08-14-065522

55 pass, 134 skip (13m43s)
Storage Capabilities (guaranteed only on full CSI test suite with 0 fails)

Update status as VERIFIED.

Comment 5 errata-xmlrpc 2021-10-18 17:45:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.